package com.gic.haoban.manage.service.entity.ext;

import java.io.Serializable;
import java.util.Date;

/**
 * desc：会员导购关系扩展实体类
 *
 * @author: YongEn
 * @date: 2021/11/4
 **/
public class MemberStaffRelExtDO implements Serializable {
    private static final long serialVersionUID = 5537923492917182848L;
    /**
     * 会员Id
     */
    private String memberId;
    /**
     * 会员对外联系人id
     */
    private String memberExternalUserId;
    private String staffId;
    /**
     * 员工导购id
     */
    private String staffClerkId;
    
    private Date addFriendTime ;

    public Date getAddFriendTime() {
        return addFriendTime;
    }

    public void setAddFriendTime(Date addFriendTime) {
        this.addFriendTime = addFriendTime;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getMemberExternalUserId() {
        return memberExternalUserId;
    }

    public void setMemberExternalUserId(String memberExternalUserId) {
        this.memberExternalUserId = memberExternalUserId;
    }
    
    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffClerkId() {
        return staffClerkId;
    }

    public void setStaffClerkId(String staffClerkId) {
        this.staffClerkId = staffClerkId;
    }

    @Override
    public String toString() {
        return "MemberStaffRelExtDO{" + "memberId='" + memberId + '\'' + ", staffId='" + staffId + '\''
                + ", staffClerkId='" + staffClerkId + '\'' + '}';
    }
}
